Bug 241809 - system-config-printer doesn't allow me to use "Optional Tray 3"
system-config-printer doesn't allow me to use "Optional Tray 3"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update
  Show dependency treegraph
 
Reported: 2007-05-30 15:19 EDT by Tom Cross
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.7.63.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 18:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Cross 2007-05-30 15:19:36 EDT
Description of problem:
system-config-printer doesn't allow choosing "Installable Options" of optional
printer trays


Version-Release number of selected component (if applicable):

system-config-printer-0.7.52.1-2.fc6
libgnomecups-0.2.2-8
cups-libs-1.2.10-7.fc6
hal-cups-utils-0.6.9-1.fc6
cups-1.2.10-7.fc6
hpijs-1.7.2-3.fc6
hplip-1.7.2-3.fc6


How reproducible:
Everytime


Steps to Reproduce:
1.Add new printer, choose HP LaserJet 4240 PostScript Driver 
2.After printer is added, attempt to tell s-c-p that you have "Optional Tray 3"
3.Checkbox stays checked only until after you hit the "Apply" button.  Then its
unchecked.
  
I've tried HP LaserJet 4240 and 4250 drivers.  Only the ones marked "Postscript"
even give me the option for "Optional Tray 3" which has the super-special blue
paper that we want to use for this print queue.

I've tried removing the printer, restarting cups, etc.  System-config-printer
will still not allow me to turn on the optional tray 3.  I want to use that as
the default tray for this print queue, but I cannot unless I have it installed.
 But it won't let me tell it that it is actually installed.

If it matters, the printer is setup using LPD protocol.  (I entered the
ipaddress and use queue RAW).
Comment 1 Tom Cross 2007-05-30 16:52:22 EDT
Tested with F7-rc2 using system-config-printer version 0.7.63.1-1.fc7 and it has
the exact same behavior.  Am I doing something wrong?
Comment 2 Tim Waugh 2007-08-09 09:42:04 EDT
The problem lies with the PPD.  It is advertising those Tray options as on/off
values, but in fact they are off/500/1000-sheets options.

I'll put in some code to work around this.
Comment 3 Fedora Update System 2007-08-10 18:20:58 EDT
system-config-printer-0.7.63.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-09-04 18:10:30 EDT
system-config-printer-0.7.63.3-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.